
service daemon/dhcpcd/* {
    # */
    depends = system/initial system/checkroot system/modules
    use = system/static-modules system/coldplug
    daemon = /sbin/dhcpcd
    daemon_args = -t 3600 $NAME
    pid_file = /var/run/dhcpcd-$NAME.pid
    up_when = pid_set
    #respawn = yes
    stop {
	echo "Stopping net/$NAME now"
	ifconfig $NAME down
	dhcpcd -k $NAME
    }
}    
