
service system/netmount {
	depends = system/initial system/checkfs
	use = net/eth0

start {
# Mount local filesystems in /etc/fstab.
echo "Mounting network filesystems ..."
mount -aFt afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ ${?} -eq 0 ]; then
    echo "Mounting faild, trying mount network filesystems again ..."
    mount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}


stop {
# Mount local filesystems in /etc/fstab.
echo "UnMounting network filesystems ..."
umount -aFt afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ ${?} -eq 0 ]; then
    echo "UnMounting faild, trying unmount network filesystems again ..."
    umount -aft afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}
}