
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef SERVICE_DATA_TYPES_H
#define SERVICE_DATA_TYPES_H

typedef enum
{ TYPE_NO, TYPE_SERVICE, TYPE_CLASS, TYPE_RUNLEVEL } e_type;
typedef enum
{
    EMPTY,
    STRING_NAME,
    ENABLED_RESPAWN,
    ENABLED_UP_WHEN_DONE,
    ENABLED_UP_WHEN_PID_SET,
    ENABLED_UP_WHEN_STARTED,
    STRING_DAEMON,
    STRING_DAEMON_ARGS,
    STRING_START,
    STRING_START_ARGS,
    STRING_START_SCRIPT,
    STRING_STOP,
    STRING_STOP_ARGS,
    STRING_STOP_SCRIPT,
    STRING_PID_FILE,
    STRING_NEED,
    STRING_USE,
    STRING_NEED_ALSO,
    STRING_PROVIDE,
    STRING_RDEPENDS,
    STRING_FROM_FILE,
    STRING_STDOUT,
    STRING_STDERR,
    STRING_ENV
} e_sdt;

#endif
