
service system/localmount {
	depends = system/initial system/checkfs

start {
# Mount local filesystems in /etc/fstab.
echo "Mounting local filesystems ..."
mount -aFt reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind
if [ ${?} -eq 0 ]; then
    echo "Mounting faild, trining mount local filesystems again ..."
    mount -at reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind
    exit $?
fi

# Mount all type bind.
mount -at bind

exit 0
}

stop {
# UnMount local filesystems in /etc/fstab.
echo "UnMounting local filesystems ..."
umount -at bind
umount -at reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind
if [ ${?} -eq 0 ]; then
    echo "UnMounting faild, trining mount local filesystems again ..."
    umount -at reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind
fi

exit 0
}

}
