
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include "initng.h"
#include "initng_global.h"
#include "initng_load_module.h"

s_global g;

void i_g(void)
{
    g.Argv = NULL;
    g.Argc = 0;
    g.i_am_init = FALSE;
    g.interupt = FALSE;
#ifdef RUNTIME_DEBUG
    g.verbose = FALSE;
#endif
    g.when_out = THEN_QUIT;
    g.runlevel = NULL;

    /* clear g.modules and g.parsers */
    initng_load_module_init();

    /* clear and allocate service database */
    service_db_init();

    /* clear and allocate active database */
    active_db_init();

}
